import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import Podcast from 'podcast';
import { Document } from 'mongoose';

export type EpisodeEnclosureDocument = EpisodeEnclosure & Document;

@Schema()
export class EpisodeEnclosure implements Podcast.ItemEnclosure {
  @Prop()
  url: string;
  @Prop()
  file?: string;
  @Prop()
  size?: number;
  @Prop()
  type?: string;
}

export const EpisodeEnclosureSchema = SchemaFactory.createForClass(
  EpisodeEnclosure,
);
